Description

A GetFeature request is made each time the user zooms or identifies some features. This behaviour is highly inefficient and produces
a great waste of time. It should be only one.
How to reproduce the issue:
    -  open "Add layer", WFS tab;
    -  connect to http://demo.mapserver.org/cgi-bin/wfs? and add the "World continents" layer to a view;
    -  for instance, zoom on your country;
    -  finally, check in the gvSIG temporary folder (e.g. C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\downloader): you will find
several gml copies of the same layer (wfs_getFeature-something.gml).

History
#1 - 12/20/2017 09:50 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.5.1-3044

#2 - 01/10/2018 05:00 PM - Antonio Falciano
The issue affects further user actions, such as:
    -  opening the attribute table associated to a WFS layer;
    -  hiding or showing a layer in the ToC;
    -  ...

The result is a great waste of time from the user perspective, so this issue is nearly a blocker one!

#3 - 04/21/2020 09:16 AM - Álvaro Anguix
- Target version deleted (2.5.1-3044)
